#!/bin/bash

TIMEOUT_SECONDS={{ docker_image_cleanup_timeout_seconds }}
COUNT=0

echo "$(date): Waiting for gitlab job runner pods to terminate | timeout: ${TIMEOUT_SECONDS}s"
while [[ $(crictl pods -o json 2>/dev/null | jq '[.items[] | select(.state == "SANDBOX_READY" and .annotations."job.runner.gitlab.com/id")] | length') -ne 0 ]]; do
  sleep 1;
  ((COUNT++))
  if [ "$COUNT" -ge "$TIMEOUT_SECONDS" ]; then
    echo "Timeout exceeded. Exiting."
    exit 1
  fi
done;

date
docker image prune --all -f 2>&1
echo "$(date): Done"
